import { Component, Input, Output, OnInit } from '@angular/core';
import { config } from '../config';

@Component({
  selector: 'app-sidebar',
  templateUrl: './sidebar.component.html',
  styleUrls: ['./sidebar.component.scss']
})

export class SidebarComponent implements OnInit {
  @Input() @Output() layout: string;
  enabledLayouts: Set<string> = config.dashboard.enabledLayouts;
  constructor() {}
  ngOnInit() {
  }

  setLayout(layout: string) {
    this.layout = layout;
  }
}
